<?php
$tdataattendance_master = array();
$tdataattendance_master[".searchableFields"] = array();
$tdataattendance_master[".ShortName"] = "attendance_master";
$tdataattendance_master[".OwnerID"] = "";
$tdataattendance_master[".OriginalTable"] = "attendance_master";


$tdataattendance_master[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataattendance_master[".originalPagesByType"] = $tdataattendance_master[".pagesByType"];
$tdataattendance_master[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataattendance_master[".originalPages"] = $tdataattendance_master[".pages"];
$tdataattendance_master[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataattendance_master[".originalDefaultPages"] = $tdataattendance_master[".defaultPages"];

//	field labels
$fieldLabelsattendance_master = array();
$fieldToolTipsattendance_master = array();
$pageTitlesattendance_master = array();
$placeHoldersattendance_master = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsattendance_master["English"] = array();
	$fieldToolTipsattendance_master["English"] = array();
	$placeHoldersattendance_master["English"] = array();
	$pageTitlesattendance_master["English"] = array();
	$fieldLabelsattendance_master["English"]["id"] = "Id";
	$fieldToolTipsattendance_master["English"]["id"] = "";
	$placeHoldersattendance_master["English"]["id"] = "";
	$fieldLabelsattendance_master["English"]["date"] = "Date";
	$fieldToolTipsattendance_master["English"]["date"] = "";
	$placeHoldersattendance_master["English"]["date"] = "";
	$fieldLabelsattendance_master["English"]["user"] = "User";
	$fieldToolTipsattendance_master["English"]["user"] = "";
	$placeHoldersattendance_master["English"]["user"] = "";
	$fieldLabelsattendance_master["English"]["branch_code"] = "Branch Code";
	$fieldToolTipsattendance_master["English"]["branch_code"] = "";
	$placeHoldersattendance_master["English"]["branch_code"] = "";
	$fieldLabelsattendance_master["English"]["outlet_code"] = "Outlet Code";
	$fieldToolTipsattendance_master["English"]["outlet_code"] = "";
	$placeHoldersattendance_master["English"]["outlet_code"] = "";
	if (count($fieldToolTipsattendance_master["English"]))
		$tdataattendance_master[".isUseToolTips"] = true;
}


	$tdataattendance_master[".NCSearch"] = true;



$tdataattendance_master[".shortTableName"] = "attendance_master";
$tdataattendance_master[".nSecOptions"] = 0;

$tdataattendance_master[".mainTableOwnerID"] = "";
$tdataattendance_master[".entityType"] = 0;
$tdataattendance_master[".connId"] = "test2_at_localhost";


$tdataattendance_master[".strOriginalTableName"] = "attendance_master";

	



$tdataattendance_master[".showAddInPopup"] = false;

$tdataattendance_master[".showEditInPopup"] = false;

$tdataattendance_master[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataattendance_master[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataattendance_master[".listAjax"] = false;
//	temporary
$tdataattendance_master[".listAjax"] = false;

	$tdataattendance_master[".audit"] = true;

	$tdataattendance_master[".locking"] = false;


$pages = $tdataattendance_master[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataattendance_master[".edit"] = true;
	$tdataattendance_master[".afterEditAction"] = 1;
	$tdataattendance_master[".closePopupAfterEdit"] = 1;
	$tdataattendance_master[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataattendance_master[".add"] = true;
$tdataattendance_master[".afterAddAction"] = 1;
$tdataattendance_master[".closePopupAfterAdd"] = 1;
$tdataattendance_master[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataattendance_master[".list"] = true;
}



$tdataattendance_master[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataattendance_master[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataattendance_master[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataattendance_master[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataattendance_master[".printFriendly"] = true;
}



$tdataattendance_master[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataattendance_master[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataattendance_master[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataattendance_master[".isUseAjaxSuggest"] = true;

$tdataattendance_master[".rowHighlite"] = true;



																																																			

$tdataattendance_master[".ajaxCodeSnippetAdded"] = false;

$tdataattendance_master[".buttonsAdded"] = false;

$tdataattendance_master[".addPageEvents"] = false;

// use timepicker for search panel
$tdataattendance_master[".isUseTimeForSearch"] = false;


$tdataattendance_master[".badgeColor"] = "6DA5C8";


$tdataattendance_master[".allSearchFields"] = array();
$tdataattendance_master[".filterFields"] = array();
$tdataattendance_master[".requiredSearchFields"] = array();

$tdataattendance_master[".googleLikeFields"] = array();
$tdataattendance_master[".googleLikeFields"][] = "id";
$tdataattendance_master[".googleLikeFields"][] = "date";
$tdataattendance_master[".googleLikeFields"][] = "user";
$tdataattendance_master[".googleLikeFields"][] = "branch_code";
$tdataattendance_master[".googleLikeFields"][] = "outlet_code";



$tdataattendance_master[".tableType"] = "list";

$tdataattendance_master[".printerPageOrientation"] = 0;
$tdataattendance_master[".nPrinterPageScale"] = 100;

$tdataattendance_master[".nPrinterSplitRecords"] = 40;

$tdataattendance_master[".geocodingEnabled"] = false;










$tdataattendance_master[".pageSize"] = 20;

$tdataattendance_master[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataattendance_master[".strOrderBy"] = $tstrOrderBy;

$tdataattendance_master[".orderindexes"] = array();


$tdataattendance_master[".sqlHead"] = "SELECT id,  	`date`,  	`user`,  	branch_code,  	outlet_code";
$tdataattendance_master[".sqlFrom"] = "FROM attendance_master";
$tdataattendance_master[".sqlWhereExpr"] = "";
$tdataattendance_master[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataattendance_master[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataattendance_master[".arrGroupsPerPage"] = $arrGPP;

$tdataattendance_master[".highlightSearchResults"] = true;

$tableKeysattendance_master = array();
$tableKeysattendance_master[] = "id";
$tdataattendance_master[".Keys"] = $tableKeysattendance_master;


$tdataattendance_master[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "attendance_master";
	$fdata["Label"] = GetFieldLabel("attendance_master","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance_master["id"] = $fdata;
		$tdataattendance_master[".searchableFields"][] = "id";
//	date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "date";
	$fdata["GoodName"] = "date";
	$fdata["ownerTable"] = "attendance_master";
	$fdata["Label"] = GetFieldLabel("attendance_master","date");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`date`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance_master["date"] = $fdata;
		$tdataattendance_master[".searchableFields"][] = "date";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "attendance_master";
	$fdata["Label"] = GetFieldLabel("attendance_master","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance_master["user"] = $fdata;
		$tdataattendance_master[".searchableFields"][] = "user";
//	branch_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "branch_code";
	$fdata["GoodName"] = "branch_code";
	$fdata["ownerTable"] = "attendance_master";
	$fdata["Label"] = GetFieldLabel("attendance_master","branch_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "branch_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "branch_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance_master["branch_code"] = $fdata;
		$tdataattendance_master[".searchableFields"][] = "branch_code";
//	outlet_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "outlet_code";
	$fdata["GoodName"] = "outlet_code";
	$fdata["ownerTable"] = "attendance_master";
	$fdata["Label"] = GetFieldLabel("attendance_master","outlet_code");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "outlet_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "outlet_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataattendance_master["outlet_code"] = $fdata;
		$tdataattendance_master[".searchableFields"][] = "outlet_code";


$tables_data["attendance_master"]=&$tdataattendance_master;
$field_labels["attendance_master"] = &$fieldLabelsattendance_master;
$fieldToolTips["attendance_master"] = &$fieldToolTipsattendance_master;
$placeHolders["attendance_master"] = &$placeHoldersattendance_master;
$page_titles["attendance_master"] = &$pageTitlesattendance_master;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["attendance_master"] = array();
//	attendance
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="attendance";
		$detailsParam["dOriginalTable"] = "attendance";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "attendance";
	$detailsParam["dCaptionTable"] = GetTableCaption("attendance");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["attendance_master"][$dIndex] = $detailsParam;

	
		$detailsTablesData["attendance_master"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["attendance_master"][$dIndex]["masterKeys"][]="date";

	$detailsTablesData["attendance_master"][$dIndex]["masterKeys"][]="branch_code";

	$detailsTablesData["attendance_master"][$dIndex]["masterKeys"][]="outlet_code";

				$detailsTablesData["attendance_master"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["attendance_master"][$dIndex]["detailKeys"][]="date";

		
	$detailsTablesData["attendance_master"][$dIndex]["detailKeys"][]="branch_code";

		
	$detailsTablesData["attendance_master"][$dIndex]["detailKeys"][]="outlet_code";

// tables which are master tables for current table (detail)
$masterTablesData["attendance_master"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_attendance_master()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	`date`,  	`user`,  	branch_code,  	outlet_code";
$proto0["m_strFrom"] = "FROM attendance_master";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "attendance_master",
	"m_srcTableName" => "attendance_master"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "attendance_master";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "date",
	"m_strTable" => "attendance_master",
	"m_srcTableName" => "attendance_master"
));

$proto8["m_sql"] = "`date`";
$proto8["m_srcTableName"] = "attendance_master";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "attendance_master",
	"m_srcTableName" => "attendance_master"
));

$proto10["m_sql"] = "`user`";
$proto10["m_srcTableName"] = "attendance_master";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "branch_code",
	"m_strTable" => "attendance_master",
	"m_srcTableName" => "attendance_master"
));

$proto12["m_sql"] = "branch_code";
$proto12["m_srcTableName"] = "attendance_master";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "outlet_code",
	"m_strTable" => "attendance_master",
	"m_srcTableName" => "attendance_master"
));

$proto14["m_sql"] = "outlet_code";
$proto14["m_srcTableName"] = "attendance_master";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "attendance_master";
$proto17["m_srcTableName"] = "attendance_master";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "id";
$proto17["m_columns"][] = "date";
$proto17["m_columns"][] = "user";
$proto17["m_columns"][] = "branch_code";
$proto17["m_columns"][] = "outlet_code";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "attendance_master";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "attendance_master";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="attendance_master";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_attendance_master = createSqlQuery_attendance_master();


	
		;

					

$tdataattendance_master[".sqlquery"] = $queryData_attendance_master;



$tableEvents["attendance_master"] = new eventsBase;
$tdataattendance_master[".hasEvents"] = false;

?>